freiheit.com technologies gmbh

## com.freiheit.gnupg
Class GnuPGPeer

    java.lang.Object
      com.freiheit.gnupg.GnuPGPeer

Direct Known Subclasses:
  GnuPGContext, GnuPGData, GnuPGKey, GnuPGSignature

    public class GnuPGPeer

extends java.lang.Object

Peer Class to hold the pointers to connect to the underlying gpgme library. This is the base class for all GnuPG*.java Classes. DO NOT USE IT. It is not intended for library users.

Author:
  Stefan Richter, stefan@freiheit.com

Constructor Summary
`GnuPGPeer()`

Method Summary
`protected int` `getInternalRepresentation()` DO NOT USE IT.
`protected void` `setInternalRepresentation(int ptr)` DO NOT USE IT.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GnuPGPeer

    public GnuPGPeer()

Method Detail

### setInternalRepresentation

    protected void setInternalRepresentation(int ptr)

  DO NOT USE IT. This is only use from inside the library.

### getInternalRepresentation

    protected int getInternalRepresentation()

  DO NOT USE IT. This is only use from inside the library.

freiheit.com technologies gmbh

© 2005 freiheit.com technologies gmbh